Bug 35875 - Check dkms packages for kernel 3.16 compatibly
Check dkms packages for kernel 3.16 compatibly
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Kernel
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Philipp Hahn
Stefan Gohmann
: interim-3
Depends on:
Blocks: 36313
  Show dependency treegraph
 
Reported: 2014-09-11 08:18 CEST by Stefan Gohmann
Modified: 2014-11-26 06:55 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-09-11 08:18:45 CEST
We are using Kernel 3.16 in UCS 4. We should check all dkms packages if the modules can be built.
Comment 1 Arvid Requate univentionstaff 2014-09-25 15:29:00 CEST
openafs: version in UCS 4.0 is currently older that the one in UCS 3.2. Judging from the changelog we need the SID version (>=1.6.9-2) for kernel 3.1.16.
Comment 2 Arvid Requate univentionstaff 2014-09-25 16:28:50 CEST
virtualbox: version in UCS 4.0 is currently older that the one in UCS 3.2.
Comment 3 Arvid Requate univentionstaff 2014-09-25 16:50:37 CEST
I cherrypicked virtualbox (+ UCS patch) from UCS 3.2-0 to UCS 4.0-0, but it failed to build. Maybe we need to import a newer version from wheezy-backports of higher - don't forget the UCS patch.
Comment 4 Philipp Hahn univentionstaff 2014-10-26 20:33:44 CET
SKIP: virtualbox-ose-guest-dkms  transition package
SKIP: virtualbox-guest-dkms  transition package
SKIP: virtualbox-ose-dkms  transition package
FAIL: virtualbox-dkms  4.1.18-dfsg-2.8.201406191825

FAIL: open-vm-dkms  2:9.2.3-1031360-7.10.201410091532
FAIL: open-vm-tools-dkms  9.2.3-1031360-7.10.201410091532

FAIL: xtables-addons-dkms  1.42-2.7.201403161133
FAIL: west-chamber-dkms  broken build dependencies
FAIL: openvswitch-datapath-dkms  1.4.2+git20120612-9.1.4.201403211331
FAIL: iscsitarget-dkms  1.4.20.2-10.1.6.201403210620
FAIL: backfire-dkms  0.83-1.6.201403162300
FAIL: v4l2loopback-dkms  0.6.1-1.2.201403121224
FAIL: ndiswrapper-dkms  1.57-1.14.201403180113
FAIL: tp-smapi-dkms  0.41-1.8.201403261041
FAIL: blcr-dkms  broken build dependencies
FAIL: openafs-modules-dkms  1.6.1-3.19.201406190102
FAIL: oss4-dkms  broken build dependencies
FAIL: openswan-modules-dkms  1:2.6.37-3.9.201403211105
FAIL: blktap-dkms  broken build dependencies

None of the DKMS modules can be built with the Linux kernel 3.16.5
Comment 5 Philipp Hahn univentionstaff 2014-10-26 22:43:06 CET
OK: repo_admin.py -U -r 4.0-0-0 -d jessie -p blktap-dkms
Package: blktap-dkms
Version: 2.0.93-0.3.5.201410262034
Branch: ucs_4.0-0

FAIL: virtualbox_4.3.14-dfsg-1.dsc  FTBFS
FAIL: virtualbox_4.3.14-dfsg-1~bpo70+1.dsc  FTBFS gsoap (>= 2.8.16 > 2.8.7), kbuild (>= 1:0.1.9998svn2695 > 1:0.1.9998svn2543+dfsg)
  builds with gsoap and kbuild from wheezy-backports
  DKMS still fails:
    Config.kmk:2455: /root/DKMS/virtualbox-4.3.14-dfsg/out/DynamicConfig.kmk: No such file or directory
    Config.kmk:5508: *** VBox: VBOX_BUILD_PUBLISHER must not be longer than 10 characters!.  Stop.
  debian/rules: DIST := UCS
  DKMS will succeed then

FAIL: open-vm-tools_9.4.0-1280544-8~bpo70+1.dsc  uid_t mismatch
FAIL: open-vm-tools_9.4.6-1770165-6.dsc  FTBFS dh_systemd
  builds with dh_systemd removed
  DKMS will succeed then

OK: repo_admin.py -U -r 4.0-0-0 -d jessie -p ndiswrapper
Package: ndiswrapper
Version: 1.59-2.15.201410262054
Branch: ucs_4.0-0

FAIL: tp-smapi-dkms  no update available

FAIL: openafs_1.6.9-1~bpo70+1.dsc  generic_file_splice_write
OK: repo_admin.py -U -r 4.0-0-0 -d jessie -p openafs
Package: openafs
Version: 1.6.9-2.20.201410262128
Branch: ucs_4.0-0
Comment 6 Stefan Gohmann univentionstaff 2014-10-27 07:46:47 CET
We need at least:

- virtualbox*
- open-vm-*
- iscsitarget-dkms
- openafs-modules-dkms
- openswan-modules-dkms 
- xtables-addons-dkms

Please create for the rest a separate bug entry.
Comment 7 Philipp Hahn univentionstaff 2014-10-27 11:32:31 CET
$ repo_admin.py -F -r 4.0-0-0 -p gsoap
Package: gsoap
Version: 2.8.16-2~bpo70+1.7.201410270943
Branch: ucs_4.0-0
$ repo_admin.py -U -r 4.0-0-0 -d wheezy-backports -p kbuild
Package: kbuild
Version: 1:0.1.9998svn2695+dfsg-1~bpo70+1.10.201410271000
Branch: ucs_4.0-0
$ repo_admin.py -U -r 4.0-0-0 -d wheezy-backports -p virtualbox
Package: virtualbox
Version: 4.3.14-dfsg-1~bpo70+1.10.201410271036
Branch: ucs_4.0-0
Comment 8 Philipp Hahn univentionstaff 2014-10-27 12:07:10 CET
$ repo_admin.py -U -r 4.0-0-0 -d wheezy-backports -p init-system-helpers
Successful build
Package: init-system-helpers
Version: 1.18~bpo70+1.1.201410271147
Branch: ucs_4.0-0
$ repo_admin.py -U -r 4.0-0-0 -d jessie -p open-vm-tools
Package: open-vm-tools
Version: 2:9.4.6-1770165-6.11.201410271153
Branch: ucs_4.0-0
Comment 9 Philipp Hahn univentionstaff 2014-10-27 12:07:35 CET
$ repo_admin.py -U -r 4.0-0-0 -d jessie -p xtables-addons
Package: xtables-addons
Version: 2.6-1.8.201410271202
Branch: ucs_4.0-0
Comment 10 Philipp Hahn univentionstaff 2014-10-27 13:47:00 CET
$ repo_admin.py -U -r 4.0-0-0 -d jessie -p iscsitarget
r13922 | Bug #35875 DKSM: iscsitarget
r13923 | Bug #35875 DKMS: iscsitarget
Package: iscsitarget
Version: 1.4.20.3+svn502-1.8.201410271338
Branch: ucs_4.0-0
Comment 11 Philipp Hahn univentionstaff 2014-10-27 13:48:06 CET
(In reply to Stefan Gohmann from comment #6)
> We need at least:
> - virtualbox*
OK: comment 7

> - open-vm-*
OK: comment 8

> - iscsitarget-dkms
OK: comment 10

> - openafs-modules-dkms
OK: comment 5

> - openswan-modules-dkms
Removed from Upstream as it's RC buggy: <https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=736557>
repo_admin.py
  rm sr
  openswan
  61096
  add 4.0-0
  done

> - xtables-addons-dkms
OK: comment 9

> Please create for the rest a separate bug entry.
Bug #36313
Comment 12 Philipp Hahn univentionstaff 2014-10-27 16:19:21 CET
r54965 | Bug #35875 DKMS: Add changelog entry
  The packages <package>virtualbox</package>, <package>open-vm-tools</package>, <package>iscsitarget</package>, <package>openafs</package>, <package>xtables-addons</package>, <package>ndiswrapper</package>, <package>blktap</package> have been updates to newer versions from Debian to support the newer Linux kernel 3.16.
  The package <package>openswan</package> has been removed as it's incompatible with said kernel and is unmaintained (<ulink url="&ucsbug;35875">Bug #35875</ulink>).
Comment 13 Stefan Gohmann univentionstaff 2014-11-04 11:46:30 CET
I was able to build all requested dkms modules:

root@master501:~# dkms status
iscsitarget, 1.4.20.3+svn502, 3.16-ucs102-amd64, x86_64: installed
openafs, 1.6.9, 3.16-ucs102-amd64, x86_64: installed
open-vm-tools, 9.4.6, 3.16-ucs102-amd64, x86_64: installed
virtualbox, 4.3.14, 3.16-ucs102-amd64, x86_64: installed
virtualbox-guest, 4.3.14, 3.16-ucs102-amd64, x86_64: installed
xtables-addons, 2.6, 3.16-ucs102-amd64, x86_64: installed
root@master501:~#

I've tested open-vm-tools successfully in a VMware session.

Changelog: OK
Comment 14 Stefan Gohmann univentionstaff 2014-11-26 06:55:41 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".